Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596471 - (CVE-2010-1417) CVE-2010-1417 WebKit: memory corruption vulnerability in rendering of certain CSS-styled HTML content
CVE-2010-1417 WebKit: memory corruption vulnerability in rendering of certain...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20100607,repor...
: Security
Depends On:
Blocks: 806808
  Show dependency treegraph
 
Reported: 2010-05-26 15:30 EDT by Vincent Danen
Modified: 2015-08-19 04:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 04:17:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 15:30:28 EDT
A memory corruption issue exists in WebKit's rendering of CSS-styled HTML content with multiple :after pseudo-selectors. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved rendering of HTML content.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=38001
Trac: http://trac.webkit.org/changeset/58201

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509 as the original reporter.
Comment 6 Jan Lieskovsky 2010-06-08 12:46:18 EDT
Public via:
  [1] http://support.apple.com/kb/HT419

Note You need to log in before you can comment on or make changes to this bug.